# Uses of Interface
org.springframework.cglib.proxy.CallbackFilter

Packages that use CallbackFilter
Package
Description
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).

## Uses of CallbackFilter in org.springframework.cglib.proxy

Classes in org.springframework.cglib.proxy that implement CallbackFilter
Modifier and Type
Class
Description
`class`
`CallbackHelper`
Methods in org.springframework.cglib.proxy with parameters of type CallbackFilter
Modifier and Type
Method
Description
`static Object`
Enhancer.`create(Class superclass, Class[] interfaces, CallbackFilter filter, Callback[] callbacks)`
Helper method to create an intercepted object.
`void`
Enhancer.`setCallbackFilter(CallbackFilter filter)`
Set the `CallbackFilter` used to map the generated class' methods to a particular callback index.